------------------------------------------------------------------------
r29198 | gerald | 2009-07-26 08:04:33 -0700 (Sun, 26 Jul 2009) | 1 line
Changed paths:
   M /trunk-1.2/epan/enterprise-numbers
   M /trunk-1.2/manuf

[Automatic manuf and enterprise-numbers update for 2009-07-26]
------------------------------------------------------------------------
r29264 | gerald | 2009-08-02 08:04:45 -0700 (Sun, 02 Aug 2009) | 1 line
Changed paths:
   M /trunk-1.2/epan/enterprise-numbers
   M /trunk-1.2/manuf

[Automatic manuf and enterprise-numbers update for 2009-08-02]
------------------------------------------------------------------------
r29350 | gerald | 2009-08-09 08:04:44 -0700 (Sun, 09 Aug 2009) | 1 line
Changed paths:
   M /trunk-1.2/epan/enterprise-numbers
   M /trunk-1.2/manuf

[Automatic manuf and enterprise-numbers update for 2009-08-09]
------------------------------------------------------------------------
r29449 | gerald | 2009-08-16 08:04:34 -0700 (Sun, 16 Aug 2009) | 1 line
Changed paths:
   M /trunk-1.2/epan/enterprise-numbers
   M /trunk-1.2/manuf

[Automatic manuf and enterprise-numbers update for 2009-08-16]
------------------------------------------------------------------------
r29527 | gerald | 2009-08-23 08:04:35 -0700 (Sun, 23 Aug 2009) | 1 line
Changed paths:
   M /trunk-1.2/epan/enterprise-numbers
   M /trunk-1.2/manuf

[Automatic manuf and enterprise-numbers update for 2009-08-23]
------------------------------------------------------------------------
r29629 | gerald | 2009-08-30 08:04:25 -0700 (Sun, 30 Aug 2009) | 1 line
Changed paths:
   M /trunk-1.2/epan/enterprise-numbers
   M /trunk-1.2/manuf

[Automatic manuf and enterprise-numbers update for 2009-08-30]
------------------------------------------------------------------------
r29662 | gerald | 2009-09-01 15:36:30 -0700 (Tue, 01 Sep 2009) | 209 lines
Changed paths:
   M /trunk-1.2/Makefile.am
   M /trunk-1.2/asn1/h225/packet-h225-template.c
   M /trunk-1.2/asn1/x509if/x509if.cnf
   M /trunk-1.2/cfile.h
   M /trunk-1.2/config.nmake
   M /trunk-1.2/configure.in
   M /trunk-1.2/debian/changelog
   A /trunk-1.2/diameter/eap.xml (from /trunk/diameter/eap.xml:29641)
   M /trunk-1.2/diameter/nasreq.xml
   M /trunk-1.2/docbook/release-notes.xml
   M /trunk-1.2/dumpcap.c
   M /trunk-1.2/epan/dissectors/packet-diameter.c
   M /trunk-1.2/epan/dissectors/packet-dns.c
   M /trunk-1.2/epan/dissectors/packet-e212.c
   M /trunk-1.2/epan/dissectors/packet-gsm_a_common.h
   M /trunk-1.2/epan/dissectors/packet-h225.c
   M /trunk-1.2/epan/dissectors/packet-ieee80211.c
   M /trunk-1.2/epan/dissectors/packet-ipv6.c
   M /trunk-1.2/epan/dissectors/packet-isakmp.c
   M /trunk-1.2/epan/dissectors/packet-rtcp.c
   M /trunk-1.2/epan/dissectors/packet-sccp.c
   M /trunk-1.2/epan/dissectors/packet-sip.c
   M /trunk-1.2/epan/dissectors/packet-ssl-utils.c
   M /trunk-1.2/epan/dissectors/packet-wbxml.c
   M /trunk-1.2/epan/dissectors/packet-x509if.c
   M /trunk-1.2/epan/dissectors/packet-zrtp.c
   M /trunk-1.2/file.c
   M /trunk-1.2/gtk/compare_stat.c
   M /trunk-1.2/gtk/filter_autocomplete.c
   M /trunk-1.2/gtk/graph_analysis.c
   M /trunk-1.2/gtk/prefs_column.c
   M /trunk-1.2/packaging/nsis/wireshark.nsi
   M /trunk-1.2/packaging/portableapps/win32/makefile.nmake
   M /trunk-1.2/plugins/asn1/packet-asn1.c
   M /trunk-1.2/version.conf
   M /trunk-1.2/wiretap/erf.c

Copy over revisions from the trunk:

------------------------------------------------------------------------
r28549 | rbalint | 2009-05-31 11:38:28 -0700 (Sun, 31 May 2009) | 3 lines
Changed paths:
   M /trunk/dumpcap.c

Set SIGPIPE handler every time the program starts.
This hopefully fixes bug 1740.
------------------------------------------------------------------------
r28589 | gal | 2009-06-02 02:44:52 -0700 (Tue, 02 Jun 2009) | 2 lines
Changed paths:
   M /trunk/asn1/x509if/x509if.cnf
   M /trunk/epan/dissectors/packet-x509if.c

Restore the generation and display of LDAP DNs from RDN components

------------------------------------------------------------------------
r28849 | etxrab | 2009-06-25 22:48:03 -0700 (Thu, 25 Jun 2009) | 3 lines

From Sebastien Decugis:
Add Missing Diameter EAP support.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3600
------------------------------------------------------------------------
r28853 | gerald | 2009-06-26 16:05:04 -0700 (Fri, 26 Jun 2009) | 2 lines
Changed paths:
   M /trunk/gtk/prefs_column.c

Add a tooltip in case it's not obvious how to rearrange the columns.
------------------------------------------------------------------------
r29145 | stig | 2009-07-20 04:42:28 -0700 (Mon, 20 Jul 2009) | 8 lines
Changed paths:
   M /trunk/gtk/prefs_column.c

Changed to use "Field type" instead of "Format", to be more descriptive.
Moved "Filed name" fields below "Field type", to improve the layout.
Always show the "Field name" fields, disable when field type is not custom.
Remember field name even when changing field type, so the user can change his
mind without losing the data entered.
Some small adjustments to "Add" and "Remove" buttons.
Added some tooltips.
------------------------------------------------------------------------
r29149 | etxrab | 2009-07-20 23:02:12 -0700 (Mon, 20 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-e212.c

From Gerasimos Dimitriadis:
Enhancement to E.212 MCC/MNC decoding.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3759
------------------------------------------------------------------------
r29227 | kukosa | 2009-07-29 02:13:03 -0700 (Wed, 29 Jul 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-sip.c

Support for IPv6 addresses in URI
------------------------------------------------------------------------
r29234 | jake | 2009-07-29 11:26:55 -0700 (Wed, 29 Jul 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isakmp.c

From Neil Piercy:
The Cert Authority hashes in the IKEv2 Cert Request are not dissected properly:
the display offset is not correctly moved on, so the same info is displayed for
all Cert Authority fields.
------------------------------------------------------------------------
r29250 | jake | 2009-07-30 23:51:27 -0700 (Thu, 30 Jul 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dns.c

From Ivan Sy:
NAPTR RR (RFC 3403) replacement MUST be a fully qualified domain-name.
------------------------------------------------------------------------
r29259 | jake | 2009-08-02 05:11:38 -0700 (Sun, 02 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-rtcp.c

Fix for bug 3800:
Correctly track the size of Feedback Control Information in Payload specific RTCP feedback packet.
------------------------------------------------------------------------
r29260 | jake | 2009-08-02 05:53:14 -0700 (Sun, 02 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-zrtp.c

Add additional cypher types.
------------------------------------------------------------------------
r29278 | gerald | 2009-08-03 12:50:35 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sccp.c

Add a null pointer check. Remove some unused variables.
------------------------------------------------------------------------
r29285 | gerald | 2009-08-03 16:49:05 -0700 (Mon, 03 Aug 2009) | 2 lines
Changed paths:
   M /trunk/gtk/compare_stat.c
   M /trunk/plugins/asn1/packet-asn1.c

Add some null checks.
------------------------------------------------------------------------
r29301 | gerald | 2009-08-04 17:36:27 -0700 (Tue, 04 Aug 2009) | 2 lines
Changed paths:
   M /trunk/asn1/h225/packet-h225-template.c
   M /trunk/epan/dissectors/packet-h225.c

Add a couple of pointer checks.
------------------------------------------------------------------------
r29306 | jake | 2009-08-05 11:21:52 -0700 (Wed, 05 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-wbxml.c

Fix for bug 3811:
Add missing shorthand application/vnd.ms-sync besides application/vnd.ms-sync.wbxml.
------------------------------------------------------------------------
r29334 | jake | 2009-08-07 21:51:42 -0700 (Fri, 07 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipv6.c

From Ivan Sy:
Fixed IPv6 malformed packet when ip6_nxt (Next Header) is equal to "59". as per section 4.7 RFC 2460.
------------------------------------------------------------------------
r29335 | krj | 2009-08-08 02:22:58 -0700 (Sat, 08 Aug 2009) | 4 lines
Changed paths:
   M /trunk/packaging/portableapps/win32/makefile.nmake

Pass on WinPcap/MSVC redistributable executables to the WiresharkPortable launcher and not the extractor.

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3547.
------------------------------------------------------------------------
r29337 | krj | 2009-08-08 05:40:59 -0700 (Sat, 08 Aug 2009) | 4 lines
Changed paths:
   M /trunk/gtk/filter_autocomplete.c

From Bahaa Naamneh via Bug 3538:

This patch ensures that the filter autocompletion code handles protocols (radius and wimaxasncp) which uses delayed initialisation of protocols fields.
------------------------------------------------------------------------
r29364 | gerald | 2009-08-10 09:12:55 -0700 (Mon, 10 Aug 2009) | 3 lines
Changed paths:
   M /trunk/wiretap/erf.c

Don't try to allocate more than WTAP_MAX_PACKET_SIZE. Fixes a crash
reported in bug 3849.
------------------------------------------------------------------------
r29366 | guy | 2009-08-10 11:22:05 -0700 (Mon, 10 Aug 2009) | 5 lines
Changed paths:
   M /trunk/wiretap/erf.c

Update a comment - a bad packet size could also be the result of a file
not actually being an ERF file.

Don't compute the packet size until you know that rlen is valid.
------------------------------------------------------------------------
r29385 | gerald | 2009-08-11 14:11:12 -0700 (Tue, 11 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Use the right size for FT_UINT16.
------------------------------------------------------------------------
r29391 | jake | 2009-08-11 17:02:23 -0700 (Tue, 11 Aug 2009) | 1 line
Changed paths:
   M /trunk/gtk/graph_analysis.c

Restore the formatting of the saved graph.
------------------------------------------------------------------------
r29392 | kukosa | 2009-08-11 23:10:08 -0700 (Tue, 11 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-ssl-utils.c

fix memoryleak causing crash with long SSL traces
------------------------------------------------------------------------


Copy over the following with manual intervention:

------------------------------------------------------------------------
r29187 | etxrab | 2009-07-24 06:50:57 -0700 (Fri, 24 Jul 2009) | 1 line
Changed paths:
   M /trunk/cfile.h
   M /trunk/file.c

Use g_slice if glib >=2.10
------------------------------------------------------------------------
r29322 | krj | 2009-08-07 05:15:46 -0700 (Fri, 07 Aug 2009) | 4 lines
Changed paths:
   M /trunk/file.c

Free frame data slice on file reset

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3813
------------------------------------------------------------------------
r29302 | jake | 2009-08-05 00:33:44 -0700 (Wed, 05 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ieee80211.c

Fix for bug 3806:
Add presentation of Block Ack Bitmap.
------------------------------------------------------------------------
r29319 | wmeier | 2009-08-06 16:47:21 -0700 (Thu, 06 Aug 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.h

'if (curr_len <= 0)' won't work as desired when curr_len is declared as unsigned.
The fix: change to 'if ((signed)curr_len <= 0)'.
This is a bit of a hack but I think it works.
See the comment in this file (packet-gsm_a_common.h).
------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r29703 | gerald | 2009-09-04 14:35:02 -0700 (Fri, 04 Sep 2009) | 212 lines
Changed paths:
   M /trunk-1.2/asn1/nbap/nbap.cnf
   M /trunk-1.2/asn1/ranap/ranap.cnf
   M /trunk-1.2/asn1/s1ap/s1ap.cnf
   M /trunk-1.2/docbook/release-notes.xml
   M /trunk-1.2/dumpcap.c
   M /trunk-1.2/epan/addr_resolv.c
   M /trunk-1.2/epan/dfilter/dfilter.c
   M /trunk-1.2/epan/dissectors/packet-dcerpc.c
   M /trunk-1.2/epan/dissectors/packet-dcm.c
   M /trunk-1.2/epan/dissectors/packet-dect.c
   M /trunk-1.2/epan/dissectors/packet-gsm_a_common.h
   M /trunk-1.2/epan/dissectors/packet-gsm_a_gm.c
   M /trunk-1.2/epan/dissectors/packet-gsm_a_rr.c
   M /trunk-1.2/epan/dissectors/packet-gtpv2.c
   M /trunk-1.2/epan/dissectors/packet-ipmi-transport.c
   M /trunk-1.2/epan/dissectors/packet-nas_eps.c
   M /trunk-1.2/epan/dissectors/packet-nbap.c
   M /trunk-1.2/epan/dissectors/packet-netflow.c
   M /trunk-1.2/epan/dissectors/packet-ranap.c
   M /trunk-1.2/epan/dissectors/packet-s1ap.c
   M /trunk-1.2/epan/dissectors/packet-sctp.c
   M /trunk-1.2/epan/dissectors/packet-tcp.c
   M /trunk-1.2/epan/proto.c
   M /trunk-1.2/epan/sctpppids.h
   M /trunk-1.2/gtk/filter_dlg.c
   M /trunk-1.2/gtk/graph_analysis.c
   M /trunk-1.2/gtk/main_menu.c
   M /trunk-1.2/gtk/rtp_player.c
   M /trunk-1.2/gtk/sctp_graph_dlg.c
   M /trunk-1.2/gtk/sctp_stat.c
   M /trunk-1.2/print.c

Copy over revisions from the trunk:

------------------------------------------------------------------------
r29403 | krj | 2009-08-13 05:17:20 -0700 (Thu, 13 Aug 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

Make sure that we find the "data" dissector during handoff else we might crash if the received payload was less than 2 bytes.

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3893
------------------------------------------------------------------------
r29456 | krj | 2009-08-17 10:19:31 -0700 (Mon, 17 Aug 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dect.c

setbit() is (AFAIK) defined in <sys/param.h> (OpenBSD) so rename to dect_setbit() to avoid clash. getbit() is also renamed for consistency.

Fixes the issue reported by Stan: http://www.wireshark.org/lists/wireshark-users/200908/msg00128.html
------------------------------------------------------------------------
r29457 | jake | 2009-08-17 12:10:19 -0700 (Mon, 17 Aug 2009) | 2 lines
Changed paths:
   M /trunk/gtk/graph_analysis.c

Change window_new() to dlg_window_new() and destroy the window with the top level window.
------------------------------------------------------------------------
r29468 | jake | 2009-08-18 10:36:30 -0700 (Tue, 18 Aug 2009) | 2 lines
Changed paths:
   M /trunk/gtk/rtp_player.c

Properly handle closing/destruction of RTP player window.
------------------------------------------------------------------------
r29472 | etxrab | 2009-08-19 02:32:56 -0700 (Wed, 19 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

From   Jan L?\195?\188bbe:
packet-gsm_a_rr.c: flip gsm_a_rr_mv_vals, 0 means vaild.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3915
------------------------------------------------------------------------
r29498 | tuexen | 2009-08-21 13:10:51 -0700 (Fri, 21 Aug 2009) | 3 lines
Changed paths:
   M /trunk/gtk/sctp_graph_dlg.c
   M /trunk/gtk/sctp_stat.c

From Irene Ruengeler: Fix two bugs regarding plotted TSNs reported by
Christian Constantin.
------------------------------------------------------------------------
r29520 | tuexen | 2009-08-23 04:30:54 -0700 (Sun, 23 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-sctp.c
   M /trunk/epan/sctpppids.h

Update list of PPIDs.
This fixes bug 3928.
------------------------------------------------------------------------
r29549 | etxrab | 2009-08-25 10:22:32 -0700 (Tue, 25 Aug 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

From Mike Morrin:
Minor errors in gsm rr dissectors
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3889

Modified accoring to comments from Pascal Quantin(I hope I got it right).
------------------------------------------------------------------------
r29535 | etxrab | 2009-08-24 02:05:23 -0700 (Mon, 24 Aug 2009) | 14 lines
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

From: : " Michael"

packet-tcp marks a row as unwritable if there is more
than 1 PDU in a packet to prevent overwriting of the
protocol column.

However this breaks the proto,colinfo tap which checks
rows are writable or dies EVEN if it doesn't alter anything.

Suggested patch attached to restore the initial value
after all PDUs have been processed.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3675
------------------------------------------------------------------------
r29536 | etxrab | 2009-08-24 02:29:05 -0700 (Mon, 24 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/dissectors/packet-tcp.c

packet-tcp.c:1551: warning: 'cleared_writable' may be used uninitialized in this function
------------------------------------------------------------------------
r29598 | wmeier | 2009-08-28 09:36:24 -0700 (Fri, 28 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-netflow.c

Don't coerce a possibly unaligned ptr to a (guint32 *);
Also: Calculate the same template hash whether on a LE or BE machine.
------------------------------------------------------------------------
r29599 | wmeier | 2009-08-28 09:52:05 -0700 (Fri, 28 Aug 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcm.c

Fix possible memmove with a NULL poiunter.
------------------------------------------------------------------------
r29600 | wmeier | 2009-08-28 11:37:53 -0700 (Fri, 28 Aug 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-ipmi-transport.c

Fix if test in fcn rs11():
return if either (as opposed to both) of the required sparameters is not present;
(Found by clang scan-build).
------------------------------------------------------------------------
r29601 | wmeier | 2009-08-28 12:15:43 -0700 (Fri, 28 Aug 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dcerpc.c

Fix code which could access uninitialized variables and display incorrect text in COL_INFO.
(Found by clang scan-build).
------------------------------------------------------------------------
r29491 | krj | 2009-08-21 04:31:21 -0700 (Fri, 21 Aug 2009) | 1 line
Changed paths:
   M /trunk/epan/dfilter/dfilter.c

Handle a text NULL pointer more gracefully
------------------------------------------------------------------------
r29656 | krj | 2009-09-01 11:16:55 -0700 (Tue, 01 Sep 2009) | 12 lines
Changed paths:
   M /trunk/epan/addr_resolv.c
   M /trunk/epan/dfilter/dfilter.c
   M /trunk/epan/proto.c
   M /trunk/gtk/filter_dlg.c

From Jakub Zawadzki via. Bug 3330:

* Fix memleak (df->deprecated in dfilter_free())
* Free protocol hash tables on cleanup.
* Free protocols list on cleanup.
* Free memory allocated by fgetline() in parse_services_file()

From me:

* proto.c: set gmc_hfinfo to NULL after free
* proto.c: switch order of g_free() and g_list_remove() in proto_cleanup()
------------------------------------------------------------------------
r29678 | krj | 2009-09-02 12:56:39 -0700 (Wed, 02 Sep 2009) | 1 line
Changed paths:
   M /trunk/gtk/menus.c

Make sure that we deactivate before activating in menu_recent_read_finished(). This fixes a crash due to recent.gui_time_format being invalid (-1). Please review whether this is a correct fix
------------------------------------------------------------------------


Copy over revisions by hand:

------------------------------------------------------------------------
r29394 | krj | 2009-08-12 08:12:19 -0700 (Wed, 12 Aug 2009) | 4 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gtpv2.c

From William Preston via. 3549:

A typo in 2 of the field names causes the apn not to be displayed.
------------------------------------------------------------------------
r29462 | etxrab | 2009-08-18 04:39:55 -0700 (Tue, 18 Aug 2009) | 1 line
Changed paths:
   M /trunk/asn1/nbap/nbap.cnf
   M /trunk/asn1/ranap/ranap.cnf
   M /trunk/asn1/s1ap/s1ap.cnf
   M /trunk/epan/dissectors/packet-nbap.c
   M /trunk/epan/dissectors/packet-ranap.c
   M /trunk/epan/dissectors/packet-s1ap.c

Typo: parameter_tvb to be used.
------------------------------------------------------------------------
r29482 | etxrab | 2009-08-20 00:26:16 -0700 (Thu, 20 Aug 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_common.h
   M /trunk/epan/dissectors/packet-gsm_a_gm.c
   M /trunk/epan/dissectors/packet-gsm_a_rr.c
   M /trunk/epan/dissectors/packet-gtpv2.c
   M /trunk/epan/dissectors/packet-nas_eps.c

From Harald Welte :
Connect RRLP to GSM A DTAP application info message.
https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3919

From me try to fix missuse of pinfo.
------------------------------------------------------------------------
r29641 | tuexen | 2009-08-31 12:13:50 -0700 (Mon, 31 Aug 2009) | 3 lines
Changed paths:
   M /trunk/dumpcap.c

Use a timeout of a second for Mac OS X, when building
a 64-bit application. Workaround a bug in Mac OS X...
------------------------------------------------------------------------
r29654 | krj | 2009-09-01 10:09:36 -0700 (Tue, 01 Sep 2009) | 4 lines
Changed paths:
   M /trunk/epan/proto.c
   M /trunk/gtk/menus.c
   M /trunk/print.c

From Richard Brodie via. Bug 3913:

Free ptr array allocated through proto_find_finfo()
------------------------------------------------------------------------
r29679 | stig | 2009-09-02 14:04:41 -0700 (Wed, 02 Sep 2009) | 2 lines
Changed paths:
   M /trunk/gtk/menus.c

Also deactivate and activate menu for recent.gui_time_precision.
------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r29704 | gerald | 2009-09-04 15:17:02 -0700 (Fri, 04 Sep 2009) | 48 lines
Changed paths:
   M /trunk-1.2/docbook/release-notes.xml
   M /trunk-1.2/epan/dissectors/packet-gsm_a_rr.c
   M /trunk-1.2/epan/dissectors/packet-kingfisher.c
   M /trunk-1.2/gtk/sctp_graph_dlg.c

Copy over revisions from the trunk:

------------------------------------------------------------------------
r29693 | etxrab | 2009-09-04 04:06:52 -0700 (Fri, 04 Sep 2009) | 5 lines
Changed paths:
   M /trunk/epan/dissectors/packet-gsm_a_rr.c

From   Vincent Helfre:
Dissect_ccch does not dissect sys info content.
Me: Remove check_col.

https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3901
------------------------------------------------------------------------
r29695 | tuexen | 2009-09-04 05:42:22 -0700 (Fri, 04 Sep 2009) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_graph_dlg.c

From Irene Ruengeler: Show duplicate TSNs in SACKs.
------------------------------------------------------------------------
r29696 | tuexen | 2009-09-04 05:52:28 -0700 (Fri, 04 Sep 2009) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_graph_dlg.c

Fix compilation.
------------------------------------------------------------------------
r29697 | tuexen | 2009-09-04 06:10:59 -0700 (Fri, 04 Sep 2009) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_graph_dlg.c

Fix handling of multiple duplicate TSNs.
------------------------------------------------------------------------
r29698 | tuexen | 2009-09-04 06:23:51 -0700 (Fri, 04 Sep 2009) | 2 lines
Changed paths:
   M /trunk/gtk/sctp_graph_dlg.c

Cleanup whitespaces.
------------------------------------------------------------------------
r29700 | wmeier | 2009-09-04 11:18:34 -0700 (Fri, 04 Sep 2009) | 3 lines
Changed paths:
   M /trunk/epan/dissectors/packet-kingfisher.c

From Rob Casey: Fix for: Incorrect station identifier parsing in Kingfisher dissector 
See https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3946
------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r29752 | gerald | 2009-09-06 08:04:34 -0700 (Sun, 06 Sep 2009) | 1 line
Changed paths:
   M /trunk-1.2/epan/enterprise-numbers
   M /trunk-1.2/manuf

[Automatic manuf and enterprise-numbers update for 2009-09-06]
------------------------------------------------------------------------
r29826 | gerald | 2009-09-09 12:15:24 -0700 (Wed, 09 Sep 2009) | 79 lines
Changed paths:
   M /trunk-1.2/asn1/camel/packet-camel-template.c
   M /trunk-1.2/asn1/gsmmap/packet-gsmmap-template.c
   M /trunk-1.2/asn1/pkixcmp/packet-cmp-template.c
   M /trunk-1.2/asn1/smrse/packet-smrse-template.c
   M /trunk-1.2/docbook/release-notes.xml
   M /trunk-1.2/epan/dissectors/packet-camel.c
   M /trunk-1.2/epan/dissectors/packet-catapult-dct2000.c
   M /trunk-1.2/epan/dissectors/packet-cmp.c
   M /trunk-1.2/epan/dissectors/packet-dhcpv6.c
   M /trunk-1.2/epan/dissectors/packet-dlm3.c
   M /trunk-1.2/epan/dissectors/packet-gsm_map.c
   M /trunk-1.2/epan/dissectors/packet-ieee802154.c
   M /trunk-1.2/epan/dissectors/packet-mtp2.c
   M /trunk-1.2/epan/dissectors/packet-nat-pmp.c
   M /trunk-1.2/epan/dissectors/packet-ptp.c
   M /trunk-1.2/epan/dissectors/packet-rpl.c
   M /trunk-1.2/epan/dissectors/packet-smrse.c
   M /trunk-1.2/epan/dissectors/packet-wow.c
   M /trunk-1.2/epan/dissectors/packet-zbee-aps.c
   M /trunk-1.2/epan/dissectors/packet-zbee-nwk.c
   M /trunk-1.2/epan/dissectors/packet-zbee-zdp.c
   M /trunk-1.2/epan/value_string.c
   M /trunk-1.2/epan/value_string.h
   M /trunk-1.2/gtk/main.c
   M /trunk-1.2/plugins/opcua/opcua.c
   M /trunk-1.2/plugins/opcua/opcua_simpletypes.c
   M /trunk-1.2/plugins/opcua/opcua_transport_layer.c

Copy over revisions from the trunk:

------------------------------------------------------------------------
r29719 | stig | 2009-09-05 11:13:48 -0700 (Sat, 05 Sep 2009) | 3 lines
Changed paths:
   M /trunk/gtk/main.c

Move reloading pane geometry to a point where we have the correct
main_first_pane and main_second_pane.
------------------------------------------------------------------------
r29814 | jake | 2009-09-09 00:22:44 -0700 (Wed, 09 Sep 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dhcpv6.c

Fix for bug 3987:
Option Request option values are in 16 bit units.
------------------------------------------------------------------------


Copy over with manual intervention:
------------------------------------------------------------------------
r29726 | krj | 2009-09-05 21:26:50 -0700 (Sat, 05 Sep 2009) | 4 lines
Changed paths:
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/gsmmap/packet-gsmmap-template.c
   M /trunk/asn1/pkixcmp/packet-cmp-template.c
   M /trunk/asn1/smrse/packet-smrse-template.c
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-catapult-dct2000.c
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-dlm3.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-hip.c
   M /trunk/epan/dissectors/packet-ieee802154.c
   M /trunk/epan/dissectors/packet-mtp2.c
   M /trunk/epan/dissectors/packet-nat-pmp.c
   M /trunk/epan/dissectors/packet-ptp.c
   M /trunk/epan/dissectors/packet-rpl.c
   M /trunk/epan/dissectors/packet-smrse.c
   M /trunk/epan/dissectors/packet-wow.c
   M /trunk/epan/dissectors/packet-zbee-aps.c
   M /trunk/epan/dissectors/packet-zbee-nwk.c
   M /trunk/epan/dissectors/packet-zbee-zdp.c
   M /trunk/epan/value_string.c
   M /trunk/epan/value_string.h

Don't pass ep_alloc()'ed strings to col_set_str().

Fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=3984

------------------------------------------------------------------------
r29727 | krj | 2009-09-05 22:29:51 -0700 (Sat, 05 Sep 2009) | 1 line
Changed paths:
   M /trunk/asn1/camel/packet-camel-template.c
   M /trunk/asn1/gsmmap/packet-gsmmap-template.c
   M /trunk/asn1/pkixcmp/packet-cmp-template.c
   M /trunk/asn1/smrse/packet-smrse-template.c
   M /trunk/epan/dissectors/packet-camel.c
   M /trunk/epan/dissectors/packet-cmp.c
   M /trunk/epan/dissectors/packet-gsm_map.c
   M /trunk/epan/dissectors/packet-nat-pmp.c
   M /trunk/epan/dissectors/packet-ptp.c
   M /trunk/epan/dissectors/packet-smrse.c

s/col_add_fstr/col_add_str
------------------------------------------------------------------------
r29813 | gerald | 2009-09-08 17:18:15 -0700 (Tue, 08 Sep 2009) | 4 lines
Changed paths:
   M /trunk/plugins/opcua/opcua.c
   M /trunk/plugins/opcua/opcua_simpletypes.c
   M /trunk/plugins/opcua/opcua_transport_layer.c

Check our array lengths and refuse to process them if they're too large.
Fixes bug 3986. Use tvb_memeql and proto_tree_add_item instead of
digging around in tvb->real_data.
------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r29828 | gerald | 2009-09-09 12:49:58 -0700 (Wed, 09 Sep 2009) | 17 lines
Changed paths:
   M /trunk-1.2/asn1/h248/h248v3.asn
   M /trunk-1.2/docbook/release-notes.xml
   M /trunk-1.2/epan/dissectors/packet-h248.c

Copy over r29787 with manual intervention:

------------------------------------------------------------------------
r29787 | etxrab | 2009-09-08 02:11:21 -0700 (Tue, 08 Sep 2009) | 4 lines
Changed paths:
   M /trunk/asn1/h248/h248v3.asn
   M /trunk/epan/dissectors/packet-h248.c
   M /trunk/epan/dissectors/packet-h248.h

From   Alex Lindberg:
Update to h248v3.asn

Applied the change from the Amendment 1 by hand.
------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r29848 | gerald | 2009-09-10 12:12:20 -0700 (Thu, 10 Sep 2009) | 55 lines
Changed paths:
   M /trunk-1.2/docbook/release-notes.xml
   M /trunk-1.2/epan/crypt/airpdcap.c
   M /trunk-1.2/epan/dissectors/packet-isup.c
   M /trunk-1.2/packaging/macosx/ChmodBPF/README.macosx
   M /trunk-1.2/packaging/macosx/ChmodBPF/StartupParameters.plist

Copy over revisions from the trunk:

------------------------------------------------------------------------
r29830 | guy | 2009-09-09 16:56:27 -0700 (Wed, 09 Sep 2009) | 21 lines
Changed paths:
   M /trunk/packaging/macosx/ChmodBPF/StartupParameters.plist

To quote
    
        http://developer.apple.com/mac/library/documentation/MacOSX/Conceptual/BPSystemStartup/Articles/StartupItems.html

"Table 1  StartupParameters.plist key-value pairs

Key             Type    Value
Description     String  A short description of the startup item,
                        used by administrative tools.

Provides        Array   The names of the services provided by this
                        startup item.  Although a startup item can
                        potentially provide multiple services, it is
                        recommended that you limit your startup items
                        to only one service each."

Fix "Provides" to be the name of the service, not a description of the
helpful operations that it provides.

(Propagated from tcpdump.org git repository.)
------------------------------------------------------------------------
r29831 | guy | 2009-09-09 17:37:16 -0700 (Wed, 09 Sep 2009) | 3 lines
Changed paths:
   M /trunk/packaging/macosx/ChmodBPF/README.macosx

Put in a note about the Snow Leopard bug that requires that you have BPF
devices open for writing in order to capture outgoing traffic.
------------------------------------------------------------------------
r29839 | tuexen | 2009-09-10 02:50:30 -0700 (Thu, 10 Sep 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-isup.c

Fix handling of BEARER_CONTROL_UNIT_IDENTIFIER.
------------------------------------------------------------------------
r29843 | gerald | 2009-09-10 09:50:25 -0700 (Thu, 10 Sep 2009) | 7 lines
Changed paths:
   M /trunk/epan/crypt/airpdcap.c

WPA decryption fix from Greg Schwendimann via bug 3890:

I'm reasonably sure that I introduced this bug and I apologize for the problems
with my previous patch.  The problem is that I did not use all of the seen
keys,  I used all except the first key, which in a case of one key is none. 
The attached patch fixes the error.
------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r29876 | gerald | 2009-09-13 08:04:34 -0700 (Sun, 13 Sep 2009) | 1 line
Changed paths:
   M /trunk-1.2/epan/enterprise-numbers
   M /trunk-1.2/manuf

[Automatic manuf and enterprise-numbers update for 2009-09-13]
------------------------------------------------------------------------
r29904 | gerald | 2009-09-14 11:41:39 -0700 (Mon, 14 Sep 2009) | 52 lines
Changed paths:
   M /trunk-1.2/capture_sync.c
   M /trunk-1.2/docbook/release-notes.xml
   M /trunk-1.2/dumpcap.c
   M /trunk-1.2/packaging/macosx/osx-dmg.sh

Copy over revisions from the trunk:

------------------------------------------------------------------------
r29886 | gerald | 2009-09-13 17:38:54 -0700 (Sun, 13 Sep 2009) | 2 lines
Changed paths:
   M /trunk/packaging/macosx/dmg_set_style.scpt
   M /trunk/packaging/macosx/osx-dmg.sh
   M /trunk/packaging/macosx/root.ds_store
   M /trunk/packaging/macosx/util.ds_store

Tweak the Finder windows a bit.
------------------------------------------------------------------------
r29903 | gerald | 2009-09-14 11:00:01 -0700 (Mon, 14 Sep 2009) | 2 lines
Changed paths:
   M /trunk/packaging/macosx/dmg_set_style.scpt
   M /trunk/packaging/macosx/osx-dmg.sh
   M /trunk/packaging/macosx/root.ds_store
   M /trunk/packaging/macosx/util.ds_store

More Finder tweaks.
------------------------------------------------------------------------


Copy over with manual intervention:

------------------------------------------------------------------------
r29881 | morriss | 2009-09-13 10:46:10 -0700 (Sun, 13 Sep 2009) | 17 lines
Changed paths:
   M /trunk/capture_sync.c
   M /trunk/dumpcap.c

Don't use SIGUSR1 to tell dumpcap to exit, use SIGINT: SIGINT is traditionally
used for this purpose and using it also prevents the 2 signals the child gets:
        - the user's Ctrl-C (which is sent as a SIGINT to both *shark and its
          child dumpcap)
        - the signal *shark generates to shut down the child

from colliding (and running 2 signal handlers in the child).

It might be possible for tshark to not send the signal at all when it gets
SIGINT, but it doesn't do any harm now.

Also, do not call g_log() within the signal handler: doing so can cause
aborts (if g_log is being called by the process when the signal comes, the
2nd entrance into g_log is detected as a recursion).

This fixes https://bugs.wireshark.org/bugzilla/show_bug.cgi?id=2767
------------------------------------------------------------------------


Update the release notes.

------------------------------------------------------------------------
r29907 | gerald | 2009-09-14 16:12:46 -0700 (Mon, 14 Sep 2009) | 16 lines
Changed paths:
   M /trunk-1.2/docbook/release-notes.xml
   M /trunk-1.2/epan/dissectors/packet-dtls.c
   M /trunk-1.2/epan/dissectors/packet-ssl-utils.c
   M /trunk-1.2/epan/dissectors/packet-ssl-utils.h
   M /trunk-1.2/epan/dissectors/packet-ssl.c

Copy over r29906 from the trunk:

------------------------------------------------------------------------
r29906 | jake | 2009-09-14 14:24:24 -0700 (Mon, 14 Sep 2009) | 2 lines
Changed paths:
   M /trunk/epan/dissectors/packet-dtls.c
   M /trunk/epan/dissectors/packet-ssl-utils.c
   M /trunk/epan/dissectors/packet-ssl-utils.h
   M /trunk/epan/dissectors/packet-ssl.c

Fix for bug 4008:
Crash on TLSv1.2 packets, caused by ssl_short_name array overrun.
------------------------------------------------------------------------

Update the release notes.

------------------------------------------------------------------------
r29909 | gerald | 2009-09-14 16:15:14 -0700 (Mon, 14 Sep 2009) | 2 lines
Changed paths:
   M /trunk-1.2/version.conf

Build 1.2.2.

------------------------------------------------------------------------
